package com.xty.server.vm

import androidx.lifecycle.MutableLiveData
import com.xty.base.vm.BaseVm
import com.xty.network.model.GuidBean
import com.xty.network.model.RespBody

class GuideVm: BaseVm() {
    val guidLive by lazy{MutableLiveData<RespBody<MutableList<GuidBean>>>()}
    fun getGuideList(){
        startHttp {
            var reponse=apiInterface().getGuideList()
            reponse.getCodeStatus(guidLive,nowData)
        }
    }
}